import type { EggRuntimeContext } from '@eggjs/tegg-types';
type runInContextCallback<R = any> = (context: EggRuntimeContext, fn: () => Promise<R>) => Promise<R>;
export declare class ContextHandler {
    static getContextCallback: () => EggRuntimeContext | undefined;
    static runInContextCallback: runInContextCallback;
    static getContext(): EggRuntimeContext | undefined;
    static run<R = any>(context: EggRuntimeContext, fn: () => Promise<R>): Promise<R>;
}
export {};
