import type { EggLoadUnitTypeLike, EggPrototype, LoadUnit, LoadUnitInstance, LoadUnitInstanceLifecycleContext } from '@eggjs/tegg-types';
type LoadUnitInstanceCreator = (ctx: LoadUnitInstanceLifecycleContext) => LoadUnitInstance;
export declare class LoadUnitInstanceFactory {
    private static creatorMap;
    private static instanceMap;
    static registerLoadUnitInstanceClass(type: EggLoadUnitTypeLike, creator: LoadUnitInstanceCreator): void;
    static createLoadUnitInstance(loadUnit: LoadUnit): Promise<LoadUnitInstance>;
    static getLoadUnitInstance(loadUnit: LoadUnit): LoadUnitInstance | undefined;
    static destroyLoadUnitInstance(loadUnitInstance: LoadUnitInstance): Promise<void>;
    static getLoadUnitInstanceByProto(proto: EggPrototype): LoadUnitInstance;
}
export {};
