import type { EggContainer, EggObject, EggObjectName, EggPrototype, Id, LifecycleContext } from '@eggjs/tegg-types';
export declare class EggAlwaysNewObjectContainer implements EggContainer<LifecycleContext> {
    static instance: EggAlwaysNewObjectContainer;
    readonly id: Id;
    constructor();
    addProtoToCreate(): void;
    deleteProtoToCreate(): void;
    iterateProtoToCreate(): IterableIterator<[EggObjectName, EggPrototype]>;
    getEggObject(): EggObject;
    getOrCreateEggObject(name: string, proto: EggPrototype): Promise<EggObject>;
    destroy(): Promise<void>;
    init(): Promise<void>;
}
